=== debian/changelog ===
ceres-solver (1.14.0-14) unstable; urgency=medium

  * [9cb79f7] Disable failure on file remove. (Closes: #983101)

 -- Anton Gladky <gladk@debian.org>  Mon, 22 Feb 2021 21:34:16 +0100

ceres-solver (1.14.0-13) unstable; urgency=medium

  * [26b13a7] Add autopkgtest
  * [69e7090] Add myself as uploader (at least temporarliy).
              (Closes: #919782)

 -- Anton Gladky <gladk@debian.org>  Thu, 10 Dec 2020 17:19:24 +0100

ceres-solver (1.14.0-12) unstable; urgency=medium

  * [2bc7414] Disable failing tests on mipsel
  * [ff3c0b7] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Wed, 09 Dec 2020 23:36:35 +0100

ceres-solver (1.14.0-11) unstable; urgency=medium

  * Team upload.
  * [21022f7] Add .gitlab-ci.yml
  * [a8eeb1e] Update watch file format version to 4.
  * [6373c6d] Set upstream metadata fields:
              Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * [7542a27] Drop unnecessary dh arguments: --parallel
  * Rebuild against new eigen3

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Dec 2020 08:20:24 +0100

ceres-solver (1.14.0-10) unstable; urgency=medium

  * Team upload.
  * Add strict libeigen3-dev dependency
  * Drop old/wrong lintian-overrides
  * bump policy and debhelper versions (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 12 Oct 2020 20:23:12 +0200

ceres-solver (1.14.0-9) unstable; urgency=medium

  * Fix js replacement in -doc.
    Thanks to Nick Lamprianidis (Closes: #971195)
  * Drop wrong lintian-overrides

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Oct 2020 16:50:51 +0200

ceres-solver (1.14.0-8) unstable; urgency=medium

  * Team upload.
  * Depend on python3 (Closes: #936284)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 08 Jun 2020 20:47:40 +0200

ceres-solver (1.14.0-7) unstable; urgency=medium

  * Team upload.
  * Disable failing tests on i386, arm64, ppc64el (Closes: #902150)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 May 2020 13:12:47 +0200

ceres-solver (1.14.0-6) unstable; urgency=medium

  * Team upload.
  * Add patch for failing tests on i386

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 25 Apr 2020 20:27:22 +0200

ceres-solver (1.14.0-5) unstable; urgency=medium

  * Team upload.
  * Add patch for Python 3 (Closes: #936284)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 25 Apr 2020 11:48:37 +0200

ceres-solver (1.14.0-4) unstable; urgency=medium

  * Team upload.
  * Bump versioned (Build-)Depends: libeigen3-dev (>= 3.3.4)
    Closes: #883619

 -- Andreas Tille <tille@debian.org>  Tue, 26 Feb 2019 10:00:04 +0100

ceres-solver (1.14.0-3) unstable; urgency=medium

  * Updated years in debian/copyright
  * Updated Standards-Version: 4.3.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sat, 19 Jan 2019 16:18:43 +0100

ceres-solver (1.14.0-2) unstable; urgency=medium

  * Added upstream patch to address #902150
  * Updated Standards-Version: 4.1.5 (no changes needed)
  * ceres-solver-doc: remove shipped fonts, depend on fonts-lato instead

 -- Philipp Huebner <debalance@debian.org>  Thu, 19 Jul 2018 16:40:30 +0200

ceres-solver (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Removed obsolete debian/README.source
  * Removed obsolete get-orig-source target from debian/rules
  * Updated Standards-Version: 4.1.4 (no changes needed)
  * Switched to debhelper 11
  * Added/Updated lintian overrides
  * Switched to python3 version of Sphinx for building the docs

 -- Philipp Huebner <debalance@debian.org>  Fri, 15 Jun 2018 16:45:41 +0200
