=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,dversionmangle=s/(\~|\+)(debian|dfsg|ds|deb)(\d+)?$//, filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/ceres-solver_$1.tar.gz/" https://github.com/ceres-solver/ceres-solver/releases .*/v?(\d\S*)\.tar\.gz
