## ceres-solver 2.0.0%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,18 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+
+# If SALSABUILD is set we want to drop debug info as well
+ifneq ($(SALSABUILD),)
+  export DEB_CXXFLAGS_MAINT_APPEND += -g0
+endif
+
+# no debug info to avoid running
+# out of address space when linking
+ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
+	export DEB_CXXFLAGS_MAINT_APPEND += -g0
+endif
+
 
 # compute current and next Eigen version and add it to d/control
 # Needed because CeresConfig.cmake sets it in CERES_EIGEN_VERSION
@@ -39,7 +51,7 @@
 		-DSUITESPARSE_INCLUDE_DIR_HINTS=/usr/include/suitesparse/ \
 		-DCXSPARSE_LIBRARY_DIR_HINTS=/usr/lib/${DEB_HOST_MULTIARCH}/ \
 		-DCXSPARSE_INCLUDE_DIR=/usr/include/suitesparse/ \
-		-DBUILD_DOCUMENTATION=ON \
+		-DBUILD_DOCUMENTATION=$(if $(filter ceres-solver-doc,$(shell dh_listpackages)),ON,OFF) \
 		-DCMAKE_BUILD_TYPE=Release
 	dh_auto_build
 	dh_auto_test
@@ -66,10 +78,11 @@
 	mv -v ${CURDIR}/debian/config.h ${CURDIR}/debian/libceres-dev/usr/include/ceres/internal/
 	dh_install
 
-override_dh_installdocs:
+override_dh_installdocs-indep:
 	# make lintian happy
 	# https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0 -> /usr/share/javascript/mathjax
 	sed -i 's/https:\/\/cdnjs.cloudflare.com\/ajax\/libs\/mathjax\/2.7.1/\/usr\/share\/javascript\/mathjax/g' $(CURDIR)/debian/tmp/usr/share/doc/ceres/html/*.html
+	sed -i 's/https:\/\/cdn.jsdelivr.net//g' $(CURDIR)/debian/tmp/usr/share/doc/ceres/html/*.html
 	rm debian/tmp/usr/share/doc/ceres/html/_static/doctools.js
 	ln -s /usr/share/javascript/sphinxdoc/1.0/doctools.js debian/tmp/usr/share/doc/ceres/html/_static/doctools.js
 	rm debian/tmp/usr/share/doc/ceres/html/_static/jquery.js
